// "clsAsciiReader.h"
// (c-basic-offset 4)

#ifndef _ASCII_READER_H_
#define _ASCII_READER_H_

#include <wx/wx.h>

class AsciiReader_cls {
public:
    bool IsCharExist(char *ptr, char delim, char item);
    bool SearchChar(char **ptr, char item, char *bufferEnd);
    bool SearchTagStr(char **ptr, char *tag, char *bufferEnd, 
		      bool bProgress = TRUE);
    void GetStrUptoLineEnd(char **ptr, char *str, char *bufferEnd);
    int  _space_sign(const char *s, const char **endptr);
    float fast_atof32(const char *s);
    int   fast_atoi(const char *s);
    float ReadFloat(char **ptr, char delim);
    int   ReadInt(char **ptr, char delim);
    bool ReadBool(char **ptr, char delim);

    long mFileSize;
    char* GetMemoryBufferFromFile(wxString strFile);
};

#endif
