// -*- c++ -*-
// "clsColorCurveTemplate.cpp"

#ifndef _GL_COLORCURVE_TEMPLATE_H
#define _GL_COLORCURVE_TEMPLATE_H

#include "../WIDGETCTRL/clsWidgetCommon.h"

class BitmapPanel_cls;
class ColorCurve_cls;
class ColorCurveBtn_cls;
class ColorCurveGUI_cls;

#define _MAX_TEMPLATE_NUM 12

class ColorCurveTemplate_cls : public wxPanel, public WidgetCommon_cls {
public:
    ColorCurveTemplate_cls(ColorCurveGUI_cls *pCParent, wxWindow *pC, wxWindowID id);
    ~ColorCurveTemplate_cls();

    ColorCurveGUI_cls* mpCParentGUILink;

    wxStaticText        *mpClrLabel[_MAX_TEMPLATE_NUM];
    BitmapPanel_cls     *mpCBPanelFolder;
    ColorCurveBtn_cls   *mpCBtnTemplate[_MAX_TEMPLATE_NUM];
    ColorCurve_cls      *mpCTemplate[_MAX_TEMPLATE_NUM];

    void OnSize(wxSizeEvent& event);
    void OnMouseL(wxMouseEvent& event);
    void OnButtonTemplate(wxCommandEvent& event);

private:
    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

#endif
