// -*- c -*-
// "clsTagObject.cpp"

#ifndef _TAG_OBJECT_H_
#define _TAG_OBJECT_H_

#include <wx/wx.h>

#include "../../CONFITEM/clsConfItem.h"

#include <vector>

class ColorCurve_cls;
class GLStrings2D_cls;

class TagObject_cls {
 public:
    TagObject_cls (wxString strTag, float x, float y, float z); 
    wxString mstrTag;
    float mPos[3];
    double mCoord[3];
};

class TagObjectCtrl_cls {
 public:
    double mMatrixModelView[16];
    double mMatrixProjection[16];
    int    mMatrixViewport[4];
    std::vector < TagObject_cls > mVCObject;

    static ConfItemList_cls   msCConfListStatic;
    static ConfItemUINT_cls   msCTagFontIndex;
    static ColorCurve_cls   *mspCClrCurveTag;
    static void InitializeStaticMembers();

    void UpdateViewInformation();
    void CalcTagCoordinate();
    void DrawTags(GLStrings2D_cls *pCGLString2D);

    static wxString SerializeStaticMember();
    static void ReadStrLineStaticMember(std::wistream &istream, wxString strLine);
};

#endif
