// (setq c-basic-offset 4)
// "clsFilterPanelPain.h"

#include "clsFilterPanelPain.h"

#include "../FILTER/clsFilterCtrl.h"
#include "../../clsMain.h"

#include "../../wxWidgetEnumMenu.h"

// ÓIɃCxgт
BEGIN_EVENT_TABLE(FilterPanelPain_cls, wxScrolledWindow)
EVT_MOUSE_EVENTS(FilterPanelPain_cls::OnMouse)
END_EVENT_TABLE()

FilterPanelPain_cls::
FilterPanelPain_cls(wxWindow *pC, FilterCtrl_cls *pCFilterCtrl) : 
wxScrolledWindow(pC, wxID_ANY, wxDefaultPosition, wxDefaultSize, wxVSCROLL )
{
    SetScrollbars(5, 5, 50, 50);
    EnableScrolling(TRUE, TRUE);
    mpCFilterCtrlLink = pCFilterCtrl;
    mpCFilterCtrlLink->mpCPanelPainLink = this;

    mpCSizer = new wxBoxSizer(wxVERTICAL);

    /*
    wxPanel *pBuffer = new wxPanel (this, wxID_ANY, wxDefaultPosition, wxSize(-1, 16));
    pBuffer->SetBackgroundColour(wxColour(255, 255, 0));
    mpCSizer->Add(pBuffer, 0, wxEXPAND);
    */
    
    this->SetSizer(mpCSizer);
}

void FilterPanelPain_cls::
OnMouse(wxMouseEvent& event){
    if (event.LeftDown() == TRUE)
	mpCFilterCtrlLink->mspCParentMainLink->SelectFilter(NULL);

    if (event.RightDown() == TRUE && event.GetId() == GetId()){
	wxCommandEvent com(wxEVT_COMMAND_MENU_SELECTED, menuFilterPopup);
	com.SetExtraLong(mpCFilterCtrlLink->mType);
	wxGetTopLevelParent(this)->AddPendingEvent(com);
    }
	
    event.Skip();
}
