// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsCameraStructure.h"

#include "clsCameraStructure.h"

CameraStructure_cls::
CameraStructure_cls(const CameraStructure_cls& CCamStruct){
    *this = CCamStruct;
}

CameraStructure_cls::
CameraStructure_cls(PositionAndDirection_cls CPos,
		    Position_cls CAnchor,
		    float angle, bool bFishEye, bool bOrthographic){
    mCPos          = CPos;
    mCAnchor       = CAnchor;
    mAngle         = angle;
    mbFishEye      = bFishEye;
    mbOrthographic = bOrthographic;
}
