// -*- c -*-
// "clsCameraProperty.cpp"

#ifndef _CAMERA_PROPERTY_H
#define _CAMERA_PROPERTY_H

#include "../CONFITEM/clsConfItem.h"
#include "../LUA/clsLuaBase.h"

class GLCameraProperty_cls : public LuaBase_cls {
public:
    GLCameraProperty_cls();

    void SetTag(wxString strTag);

    ConfItemList_cls  mCConfList;
    ConfItemSTR_cls   mCstrGLDepthExpression;
    ConfItemFLOAT_cls mCGLDepthMin, mCGLDepthMax;
    ConfItemFLOAT_cls mCGLPersAngle;
    ConfItemFLOAT_cls mCGLOrthoScale;

    void GetMinAndMax(float &min, float &max, float time, double doubleIndex);

    bool ReadStrLine(std::wistream &istream, wxString strLine);
    void Serialize(wxString &strOut);

    
};

#endif
