// "clsScene.cpp"

#ifndef _SCENE_H_
#define _SCENE_H_

#include "../WIDGETCTRL/clsMultiInputPanel.h"
#include "../WIDGETCTRL/clsDialogEXKey.h"
#include "../WIDGETCTRL/clsDialogController.h"

//class DF3Sequence_cls;
class TimeCtrl_cls;
class Scene_cls;

class SceneGUI_cls : public wxDialogEXKey {
 public:
    SceneGUI_cls(Scene_cls* pCParent, 
		 wxWindow *pC, wxPoint pos, wxSize size);
    ~SceneGUI_cls();

    Scene_cls* mpCParent;
    MultiInputPanel_cls* mpCMNumMain;
    void SetMNumMain(wxBoxSizer *pBoxSizer);

    void OnButtonClose(wxCommandEvent &event);
    void OnButtonOK(wxCommandEvent &event);

 private:
    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

class Scene_cls : 
public DialogControl_cls
{
 public:
    Scene_cls(wxWindow* pCWindow, TimeCtrl_cls *pCTimeCtrlLink,
	      wxString strBitmap);

    //DF3Sequence_cls *mpCParentDF3Seq;
    TimeCtrl_cls* mpCTimeCtrlLink;
    SceneGUI_cls* mpCGUI;
    wxString mstrBitmap;
    //wxBitmap*     mpBitmapLink;
    
    unsigned int mTmpMaxFrame;
    unsigned int mTmpWAMin, mTmpWAMax;
    unsigned int mTmpType;

    void InitGUI(wxWindow *pCWindow);
    void UpdateItems(bool bForce = FALSE);

    void InitializeTmpValues();
    void AssignTmpValues();
   
};

#endif
