// -*- c -*-
// "clsParaGroupGUI.cpp"
// (setq c-basic-offset 4)

#ifndef _PARAM_GROUP_GUI_H
#define _PARAM_GROUP_GUI_H

#include "../WIDGETCTRL/clsWidgetCommon.h"

class BitmapPanel_cls; 
class ParamGroup_cls;
class ParamGUICtrl_cls;
class wxStaticTextEX;

class ParamGroupGUI_cls : public wxPanel, public WidgetCommon_cls {
 public:
    ParamGroupGUI_cls
	(ParamGroup_cls *pCParamGroup, ParamGUICtrl_cls *pCParentCtrl, 
	 wxString strLabel, int depth, wxWindowID id = wxID_ANY, 
	 wxPoint pos = wxDefaultPosition, wxSize size = wxDefaultSize);

    ParamGroup_cls   *mpCParentGroup;
    ParamGUICtrl_cls *mpCCtrlLink;
    wxStaticTextEX   *mpCLabelText;
    int              mDepth;
    
    BitmapPanel_cls *mpCBPanelFolder;
    BitmapPanel_cls *mpCBPanelLink;
    BitmapPanel_cls *mpCBPanelExpression;
    BitmapPanel_cls *mpCBPanelInput;
    BitmapPanel_cls *mpCBPanelVisible;
    BitmapPanel_cls *mpCBPanelKilroy;

    void UpdateButtonStatus();
    void ShowButtons(bool bShow);
    void SetParamBackgroundColour();
    void OnMouseLOpen(wxMouseEvent& event);
    void OnMouseLLink(wxMouseEvent& event);
    void OnMouseLExpression(wxMouseEvent& event);
    void OnMouseLInput(wxMouseEvent& event);
    void OnMouseLVisible(wxMouseEvent& event);
    void OnMouseLKilroy(wxMouseEvent& event);
    void OnMouseLSelect(wxMouseEvent& event);

};

#endif
