
#ifndef _POV_PHOTONS_H_
#define _POV_PHOTONS_H_

#include "../../COMMON/clsFilename.h"
#include "../../CONFITEM/clsConfItem.h"
#include "../../WIDGETCTRL/clsHookCtrl.h"

#include "clsPovOptions.h"

#include <wx/filename.h>

#define _POV_PHOTONS_NOUSE 0
#define _POV_PHOTONS_USE 1

class MultiInputPanel_cls;
class PovRayGUI_cls;

class PovPhotons_cls : public PovOptions_cls, public HookItem_cls {
 public:
    PovPhotons_cls();

    void SetToDefault();

    void SetMNumPhotons(wxWindow *pCParentPanel, wxString *pstrWorkingDir);

    int  mIndexType, mIndexCount, mIndexMaxTrace;
    
    void HideAndShow();
    void HookFunc01(int id, void *pArg); //HideAndShow
    
    wxString GetStrPovGlobal();
    wxString GetStrPovIni();
    void GetStrPovPhotonSetting
	(wxString& strPov,
	 double alpha, double reflectMin, double reflectMax,
	 bool bTarget, bool bCollect);

    ConfItemUINT_cls      mCType;
    ConfItemINT_cls       mCCount;
    ConfItemINT_cls       mCMaxTrace;
};

#endif
