#ifndef _POV_RENDER_H_
#define _POV_RENDER_H_

#include "../../CONFITEM/clsConfItem.h"
#include "../../WIDGETCTRL/clsHookCtrl.h"

#include "clsPovOptions.h"

#define _RENDER_REGION_WA     0
#define _RENDER_REGION_ALL    1
#define _RENDER_REGION_CUSTOM 2

#define _RENDER_SERQUENTIAL 0
#define _RENDER_FLYTHROUGH 1

class PovRayCtrl_cls;
class PovRayGUI_cls;

class PovRender_cls : public PovOptions_cls, public HookItem_cls {
public:
    PovRender_cls(PovRayCtrl_cls *pCCtrlLink);

    PovRayCtrl_cls *mpCCtrlLink;

    int mIndexCustomArea;
    int mIndexStereo;
    
    void SetToDefault();
    void SetMNumRender(wxWindow *pCParentPanel);

    ConfItemUINT_cls    mCAnimationType;
    ConfItemUINT_cls    mCRegionType;
    ConfItemINT_cls     mCRegionCustomMin;
    ConfItemINT_cls     mCRegionCustomMax;
    ConfItemINT_cls     mCAnimInit;

    void HideAndShow();
    void HookFunc01(int id, void *pArg); // AutoCalc.
    void HookFunc02(int id, void *pArg); // HideAndShow
    void GetRenderRegion(int &ini, int &fin);
    void AutoCalc();
};

#endif
