// -*- c++ -*-
// "clsTimeCtrlGUI.cpp"

#ifndef _TIME_CTRL_GUI_H
#define _TIME_CTRL_GUI_H

#include "clsTLPanelBase.h"

class TimeCtrl_cls;

class TimeCtrlGUI_cls : public TLPanelBase_cls {
 public:
    TimeCtrlGUI_cls(wxWindow *pCParent, TimeCtrl_cls *pCCtrl,
		    wxWindowID id, wxPoint pos, wxSize size);
    ~TimeCtrlGUI_cls();

    wxIcon *mpCTimeSliderIcon;
    wxPen mCwxPenPaleGreen;

    // ACeI
    int mSelected;

    void UpdateDisplay(wxAutoBufferedPaintDC &dc);
    void ForceUpdateDisplay();
    bool SetNewIndexDragging();
    bool SetNewMinDragging();
    bool SetNewMaxDragging();
    void SetNewMinFix(int min_DragIni);
    void SetNewMaxFix(int max_DragIni);

    void OnSize(wxSizeEvent& event);
    void OnPaint(wxPaintEvent& event);
    void OnMouse(wxMouseEvent& event);

 private:
    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

#endif
