// -*- c++ -*-
// "clsTimeCtrlGUIButtons.h"

#include "clsTimeCtrlGUIButtons.h"
#include "clsTimeCtrl.h"

#include "../MAINCANVAS/clsParamGUICtrl.h"
#include "../../clsMain.h"

#include "../WIDGETCTRL/clsBitmapPanel.h"

BEGIN_EVENT_TABLE(TimeCtrlGUIButtons_cls, wxPanel)
END_EVENT_TABLE()

TimeCtrlGUIButtons_cls::
TimeCtrlGUIButtons_cls(wxWindow *pCParent, TimeCtrl_cls *pCCtrl,
		       wxWindowID id, wxPoint pos, wxSize size): 
TLPanelBase_cls(pCParent, pCCtrl, id, pos, size, FALSE)
{
    wxBoxSizer *pCBoxSizerSRC = new wxBoxSizer(wxHORIZONTAL);
    
    mpCBPanelKilroy = new BitmapPanel_cls(this, wxID_ANY, wxPoint(_TL_LEFT_WIDTH - 15*1, 0), wxSize(16,16));
    mpCBPanelKilroy->SetBoarder(2,2);
    mpCBPanelKilroy->AddBitmapStr(wxT("wxART_KILROY_HERE"));
    mpCBPanelKilroy->AddBitmapStr(wxT("wxART_KILROY_THERE"));
    
    Connect(mpCBPanelKilroy->GetId(), wxEVT_LEFT_UP,
	    wxMouseEventHandler(TimeCtrlGUIButtons_cls::OnMouseLKilroy));

    wxPanel *pCSpace = new wxPanel(this, wxID_ANY, wxDefaultPosition, wxSize(_TL_LEFT_WIDTH - 16, 16));
    pCSpace->SetBackgroundColour(wxT("WHITE"));
    
    pCBoxSizerSRC->Add(pCSpace, 0, wxEXPAND);
    pCBoxSizerSRC->Add(mpCBPanelKilroy, 0, wxEXPAND);

    SetSizerAndFit(pCBoxSizerSRC);
}

TimeCtrlGUIButtons_cls::
~TimeCtrlGUIButtons_cls(){
}

void TimeCtrlGUIButtons_cls::
ForceUpdateDisplay(){
}

void TimeCtrlGUIButtons_cls::
OnMouseLKilroy(wxMouseEvent& event){
    if (mpCBPanelKilroy->mState == 1)
	mpCCtrlLink->mbModeShy = TRUE;
    else
	mpCCtrlLink->mbModeShy = FALSE;
    mpCCtrlLink->mpCMainLink->mpCParamGUICtrlLink->HideAndShow();
    mpCCtrlLink->RefreshGUI();
}
