// -*- c -*- 
// "clsButtonEX.h"

#include "clsBitmapButtonEX.h"

wxBitmapButtonEX::
wxBitmapButtonEX(wxWindow* parent, wxWindowID id, const wxBitmap& bitmap,
	   const wxPoint& pos, const wxSize& size,
	   long style, const wxValidator& validator,
	   const wxString& name) :
wxBitmapButton(parent, id, bitmap, pos, size, style, validator, name)
{
    Connect(id, wxEVT_KEY_DOWN,
	    wxKeyEventHandler(wxBitmapButtonEX::OnKeyDown));

    Connect(GetId(), wxEVT_RIGHT_DOWN,
	    wxMouseEventHandler(wxBitmapButtonEX::OnMouse));
}

wxWindow* wxBitmapButtonEX::
GetPWindow(){
    return this;
}

void wxBitmapButtonEX::
OnKeyDown(wxKeyEvent& event){
    ProcessKeyEvent(event);
}

void wxBitmapButtonEX::
OnMouse(wxMouseEvent& event){
    GetParent()->AddPendingEvent(event);
    event.Skip();
}
