// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsFontProvider.cpp"

#ifndef _FONT_PROVIDER_H_
#define _FONT_PROVIDER_H_

#include <wx/wx.h>
#include <vector>

#define _MAX_FONT_ITEM 8

class FontFile_cls{
public:
    FontFile_cls (wxString strFontName, wxString strFontFile, 
		  wxString strFontFileBold, wxString strFontFileItalic,
		  wxString strFontFileBoldItalic);
    wxString mstrFontName;
    wxString mstrFontFile;
    wxString mstrFontFileBold;
    wxString mstrFontFileItalic;
    wxString mstrFontFileBoldItalic;

    wxString GetStrFile(wxString strFontName, bool bBold = FALSE, bool bItalic = FALSE);
};

class FontProvider_cls{
 public:
    static void InitializeStatic();
    static wxFont msACFont[_MAX_FONT_ITEM];
    static wxFont& GetFont(int type);
    static void GetBasicFont(wxFont& CFont, int basePoint);
    static int GetTextWidth(int type, wxString strText);
    static int msDDIX;

    static std::vector < FontFile_cls > msVCFontFile;

    static int GetScrollBarWidth();
    static wxString GetFontFileFromList(wxString strFont, bool bBold = FALSE, bool bItalic = FALSE);
};

#endif
