// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsUpdateStatusBar.cpp"

#ifndef _UPDATE_STATUS_BAR_H_
#define _UPDATE_STATUS_BAR_H_

#include <wx/wx.h>

class UpdateStatusBar_cls{
public:
    static void BeginProgress();
    static void ClearAbort();
    bool IsTimeLapsedEnough();
    bool CheckAbortion();
    int  GetProgressInterval(int num);
    int  CalcPercentage(int index);

    //static bool sbAllowDispach;
    void UpdateStatusBar();

    static wxStopWatch msCStopWatch;
    static int msDispatchTime;
    
    int mTotalIndex;
    
    static void SetFactor(int index, int totalIndex);
    static float msIniFactor;
    static float msFinFactor;
    
    static int          msAbortLimitMS;
    static bool         msbUseAbortion;
    static wxString     msstrWarning; 
};

#endif
