// -*- c -*-
// "clsFrameController.h"

#include "clsFrameEXController.h"

FrameEXController_cls::
FrameEXController_cls() :
    mCScreenRect(wxDefaultPosition, wxDefaultSize){
    mpCFrameBase = NULL;
}

void FrameEXController_cls::
SetPFrame(wxFrame *pFrame){
    mpCFrameBase = pFrame;
}

void FrameEXController_cls::
OpenWindow(wxWindow *pC){
    if (mpCFrameBase == NULL) InitGUI(pC);
    if (mpCFrameBase->IsShownOnScreen() == FALSE){
	UpdateItems(TRUE);
	mpCFrameBase->Show(TRUE);
    }

    mpCFrameBase->Raise();
}

/*
bool FrameEXController_cls::
OpenWindowModal(wxWindow *pC){
    if (mpCFrameBase == NULL) InitGUI(pC);
    if (mpCFrameBase->IsShownOnScreen() == FALSE){
	UpdateItems(TRUE);
	if (mpCFrameBase->ShowModal() == wxID_OK) return TRUE;
    }
    else
	mpCFrameBase->SetFocus();
    return FALSE;
}
*/

bool FrameEXController_cls::
IsGUIShownOnScreen(){
    if (mpCFrameBase == NULL) return FALSE;
    return mpCFrameBase->IsShownOnScreen();
}
