// -*- c -*- 
// "clsHookCtrl.h"

#include "clsHookCtrl.h"

#include "../COMMON/CommonDefinitions.h"

void HookItem_cls::
HookFunc01(int id, void *pArg){}

void HookItem_cls::
HookFunc02(int id, void *pArg){}

void HookItem_cls::
HookFunc03(int id, void *pArg){}

void HookItem_cls::
HookFunc04(int id, void *pArg){}

void HookItem_cls::
HookFunc05(int id, void *pArg){}

void HookItem_cls::
HookFuncAssign(int id, void *pArg){}

void HookItem_cls::
HookFuncHS(int id, void *pArg){}

void HookItem_cls::
HookFuncHideButton(int id, void *pArg){}

void HookItem_cls::
HookFuncMouse(int id, void *pArg){}

// -----

void HookCtrl_cls::
SetHookItem(HookItem_cls *pCInstance,
	    void (HookItem_cls::*pFunc)(int, void*), 
	    int type, int ID, void *pArg){
    HookItem_cls CHookItem;
    CHookItem.mpCInstance = pCInstance;
    CHookItem.mpFunc = pFunc;
    CHookItem.mType = type;
    CHookItem.mId = ID;
    CHookItem.mpArg = pArg;
    mVHookItems.push_back(CHookItem);
}

void HookCtrl_cls::
CheckHook(int hookType, void *pEvent, int id, bool bUseHookChange){
   
    for (unsigned int i = 0; i < mVHookItems.size(); i++){
	if (mVHookItems[i].mType == hookType){
	    if (mVHookItems[i].mId != wxID_ANY && 
		mVHookItems[i].mId != id)
		continue;

	    void *pArg = mVHookItems[i].mpArg;
	    if (pArg == NULL) pArg = pEvent;
	    (mVHookItems[i].mpCInstance->*(mVHookItems[i].mpFunc))(id, pArg);
	}
    }
}

int HookCtrl_cls::ConstZero = 0;
int HookCtrl_cls::ConstOne = 1;
