
// -*- c -*- 
// "clsDualSlider.cpp"

#ifndef _ICONSELECTOR_PANEL_H_
#define _ICONSELECTOR_PANEL_H_

#include "EX/clsTabCtrl.h"
#include "EX/clsWidgetEX.h"

#include <wx/wx.h>
#include <wx/dcbuffer.h>
#include <wx/listctrl.h>
#include <vector>

class IconSelector_cls : public wxPanel, public WidgetEX_cls, public TabCtrl_cls {
 public:
    IconSelector_cls(wxWindow *parent, wxWindowID id, 
		     int initvalue,  int max,
		     std::vector < wxIcon > *pVIcon,
		     wxPoint pos = wxDefaultPosition,
		     wxSize size = wxDefaultSize);
    ~IconSelector_cls();
    
    wxImageList *mpImageListSmall;

    wxWindow* GetPWindow();

    void RemakeImageList(std::vector < wxIcon > *pVIcon);
    void UpdateDisplay(wxAutoBufferedPaintDC &dc);
    void OnPaint(wxPaintEvent& event);

    int  GetSelected(wxMouseEvent& event);
    void OnMouse(wxMouseEvent& event);

    int  GetValueInt();
    void SetValueInt(int value);

    int mValue;
    int mMax;
    int mFontHeight;
    int mClientWidth, mClientHeight;
    
    //void InitConItems();

    void OnKeyDown(wxKeyEvent& event);

    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

#endif
