// -*- c -*- 
// (setq c-basic-offset 4)
// "clsMinimizeButton.h"

#include "clsMinimizeButton.h"
#include "../../wxWidgetEnumMenu.h"

MinimizeButton_cls::
MinimizeButton_cls(){
    mpCPopupMenu = new wxMenu;
    mpCPopupMenu->Append(menuItemMinimizeButton, wxT("minimize"));
}

MinimizeButton_cls::
~MinimizeButton_cls(){
    delete mpCPopupMenu;
}

void MinimizeButton_cls::
MinimizeButton(wxButtonEX *pButton, bool *pbMinimize, wxString strLabel,
	       wxButtonEX *pButton2){

    wxSizerItem *pItem = pButton->GetParent()->GetSizer()->GetItem(pButton, TRUE);
    if (*pbMinimize == TRUE){
	pButton->SetLabel(strLabel);
	pButton->SetToolTip(wxT(""));
	pButton->SetSize(wxSize(-1, -1));
	pItem->SetMinSize(wxSize(-1, -1));
	if (pButton2 != NULL){
	    	pButton2->SetLabel(strLabel);
		pButton2->SetToolTip(wxT(""));
		pButton2->SetSize(wxSize(-1, -1));
		wxSizerItem *pItem2 = pButton2->GetParent()->GetSizer()->GetItem(pButton2, TRUE);
		pItem2->SetMinSize(wxSize(-1, -1));
		pItem2->SetBorder(0);
	}
	*pbMinimize = FALSE;
    }
    else{
#ifdef WIN32
	int minHeight=4;
#else
	int minHeight=6;
#endif
	pButton->SetLabel(wxT(""));
	pButton->SetToolTip(strLabel);
	pButton->SetSize(wxSize(-1, minHeight));
	
	pItem->SetMinSize(wxSize(-1, minHeight+2));
	if (pButton2 != NULL){
	    pButton2->SetLabel(wxT(""));
	    pButton2->SetToolTip(strLabel);
	    pButton2->SetSize(wxSize(-1, minHeight));
	    wxSizerItem *pItem2 = pButton2->GetParent()->GetSizer()->GetItem(pButton2, TRUE);
	    pItem2->SetMinSize(wxSize(-1, minHeight+2));
	    pItem2->SetFlag(pItem->GetFlag() | wxALL);
	    pItem2->SetBorder(1);
	}
	*pbMinimize = TRUE;
    }
}
