// Cartoon.geom

#version 130
#extension GL_EXT_geometry_shader4 : enable
#extension GL_EXT_gpu_shader4 : enable

// geometry shader of carttond shading

uniform float     boldness;

//#define LOOP_XYZ for (int xyz=0; xyz < 3; xyz++)

//in float sIn[3];
//in float tIn[3];
in vec3 positionIn[3];
in vec3 normalIn[3];
in vec4 GLSubPosition[3];

//in float sIn[3];
//in float tIn[3];
//out float s;
out float t;
out vec3 position;
out vec3 normal;

void main(void)
{
    //vec3 distance;

    for(int i = 0; i < gl_VerticesIn; i++){
	//gl_FrontColor = gl_FrontColorIn[i];
	gl_TexCoord = gl_TexCoordIn[i];
	gl_Position = gl_PositionIn[i];
	//s = sIn[i];
	//t = tIn[i];
	t = 1;
	position = positionIn[i];
	normal = normalIn[i];
	EmitVertex();
    }
    EndPrimitive();

    if (boldness != 0){
	for(int i =  gl_VerticesIn-1; i >= 0; i--){
	    gl_Position = GLSubPosition[i];
	    t = 0;
	    //position = positionIn[i];
	    //normal = normalIn[i];
	    EmitVertex();
	}
	EndPrimitive();
    }
}
