
#ifndef _FILTER_DATABOX_H_
#define _FILTER_DATABOX_H_

#include "../FILTER/clsFilterBase.h"
#include "../SCENEOBJ/clsSceneObj.h"

class ArrayAndIndex_cls;
class FilterDataBox_cls;
class FilterPanelPain_cls;

#define _INFLU_PDATA_ONLY 0
#define _INFLU_PDATA_OBJECTS 1
#define _INFLU_ALL 2

#define _OBJECT_PDATA 0
#define _OBJECT_NOT_PDATA 1

#include <wx/thread.h>

class FilterDataBoxGUI_cls : public FilterGUI_cls {
 public:
    FilterDataBoxGUI_cls(FilterDataBox_cls *pCParent, 
			 FilterPanelPain_cls *pCPanelPain);
    FilterDataBox_cls *mpCParent;
    
    void SetMNumPanel(wxBoxSizer *pBoxSizer, wxWindow *pCParentWindow,
		      int index);
};

class FilterDataBoxData_cls : public FilterData_cls {
 public:
    FilterDataBoxData_cls();
    ~FilterDataBoxData_cls();

    //void AssignSceneObjParam();                //I[o[Ch
    
    void CopyFilterDataFromP
	(FilterData_cls *pCFrom,
	 ParamGroup_cls *pCTranslate  = NULL,
	 ParamGroup_cls *pCRotete     = NULL,
	 ParamGroup_cls *pCScale      = NULL,
	 ParamGroup_cls *pCAdditional = NULL);

    ConfItemUINT_cls mCInfluence;
    ConfItemUINT_cls mCRotateOrder;

    void GetStrPovModelView(wxString &strModelView, double doubleIndex,
			    int modelType);
    
    ParamGroup_cls *mpCAnchor;
    // {ȊOɎԕωp[^ꍇI[o[Ch
    void UpdateCurrentObj(double doubleIndex); 
};

class FilterDataBox_cls : public FilterBase_cls {
 public:
    FilterDataBox_cls (FilterPanelPain_cls *pCPanelPain,
		       FilterDataBoxData_cls *pCInitData = NULL);
    ~FilterDataBox_cls();

    FilterDataBoxData_cls *GetPCData();

    void GLDraw(double doubleIndex, double scale, bool bHittest);
};

#endif
