// "clsFilterBoolean.h"
// (setq basic-c-ofsset 4)

#ifndef _FILTER_FILTERING_H_
#define _FILTER_FILTERING_H_

#include "clsFilterBase.h"

class ArrayAndIndex_cls;
class FilterFiltering_cls;
class FilterPanelPain_cls;

class FilterFilteringGUI_cls : public FilterGUI_cls {
 public:
    FilterFilteringGUI_cls(FilterFiltering_cls *pCParent,
			   FilterPanelPain_cls *pCPanelPain);
    FilterFiltering_cls *mpCParent;

    void SetMNumPanel(wxBoxSizer *pBoxSizer, wxWindow *pCParentWindow,
		      int index);
};

class FilterFilteringData_cls : public FilterData_cls {
 public:
    FilterFilteringData_cls();

    ConfItemUINT_cls mCFilteringType;
    ConfItemUINT_cls mCIndexType;
    ConfItemSTR_cls  mCString;
};

class FilterFiltering_cls : public FilterBase_cls {
 public:
    FilterFiltering_cls (FilterPanelPain_cls *pCPanelPain,
			 FilterFilteringData_cls *pCInitData = NULL);
    ~FilterFiltering_cls();

    FilterFilteringData_cls *GetPCData();
    
    int   mIndexSize;
    bool *mpbAFilterList;
    wxString mstrAll;
    wxString GetStringBlock(wxString *pstrAll);
    int  GetIni(wxString strBlock);
    int  GetFin(wxString strBlock);
    void MakeFilterList();
    void CheckFiltering(ArrayAndIndex_cls* pIndexAndZ,
			float (*pX)[3], int downsized, float *pAlphaFactor);
};

#endif
