// -*- c++ -*-
// "clsGLAttributeGUI.cpp"

#ifndef _GL_ATTRIBUTE_GUI_H
#define _GL_ATTRIBUTE_GUI_H

#include "../WIDGETCTRL/clsWidgetCommon.h"
#include "../WIDGETCTRL/clsHookCtrl.h"

class GLAttribute_cls;
class MultiInputPanel_cls;

class GLAttributeGUI_cls : public WidgetCommon_cls, public HookItem_cls {
public:
    GLAttributeGUI_cls(GLAttribute_cls *pCAttribLink, wxWindow *pCParent);
    
    GLAttribute_cls     *mpCAttribLink;
    wxWindow            *mpCParent;
    MultiInputPanel_cls *mpCMInputPanel;

    int mIndexClr, mIndexMat;
    int mIndexQuality, mIndexObjIndex;
    int mIndexAlphaFactor, mIndexAlphaBase;
    int mIndexRadiusType, mIndexPointSize;
    int mIndexRadius, mIndexRadiusForConst;
    int mIndexShaderType, mIndexGasShader;
    int mIndexScatter;
    
    // HideAndShow̉ߏȉʍXV̗}p
    int  mTypePrev, mAlphaPrev, mRadiusTypePrev, mGasShaderPrev; 
    
    void SetPanel();
    void HideAndShow();
    void HookFuncHS(int id, void *pArg);
    void HookFuncMouse(int id, void *pArg);
};

#endif
