// -*- c -*-
// "clsShaderBase.h"

#ifndef _SHADER_BASE_H_
#define _SHADER_BASE_H_

#ifdef WIN32
#include <windows.h>
#include <GL/glu.h>
#include <GL/glext.h>
#elif defined __WXMAC__
#define GL_GLEXT_PROTOTYPES 
#include <OpenGL/glu.h>
#else
#define GL_GLEXT_PROTOTYPES 
#include <GL/glu.h>
#endif

#include <wx/wx.h>

class ShaderBase_cls {
 public:
    bool mbShaderAvailable;
    bool mbUseShader;
    
    void EnableShader(bool bUseShader);
    void ShowLog(wxWindow *pCParent, int shader, wxString strShader);
    void MakeShader
	(wxWindow *pCParent, GLuint &program,
	 wxString strVert, wxString strGeom, wxString strFrag);
};

#endif
