// "clsNavigator.cpp"

#ifndef _NAGIVATORS_H_
#define _NAGIVATORS_H_

#include "clsGLButton.h"

#include "../../MYGL/clsPositionAndDirection.h"
#include "../../MYGL/clsFBO.h"

class MainGLCanvas_cls;

class Navigators_cls {
 public:
    Navigators_cls(MainGLCanvas_cls *pCMainGLCanvas);
    ~Navigators_cls();

    static void InitializeStaticMembers();

    MainGLCanvas_cls *mpCManinGLCanvas;

    FBO_cls *mpCNaviFBO;
    void ShowArrow();
    void MakeImage(PositionAndDirection_cls CCamPos);
    void Show(int width, int height);
    
    static GLButton_cls msCGLBTNRot, msCGLBTNTrans, msCGLBTNScale;
    static int msManipulatorMode;
    static int msDragMode;
    bool CheckGLButton(int canvasWidth, int canvasHeight,
		       int mouseX, int mouseY);
    void DrawButton(int width, int height);
    bool UpdateStatus(int width, int height, int mouseX, int mouseY);
    void RotationMode();
    void TranslationMode();
    void ScaleMode();
    void SetDragMode(int dragMode);
};

#endif
