// -*- c -*-
// "clsRefresh.cpp"

#ifndef _REFRESH_H_
#define _REFRESH_H_

class TimeCtrl_cls;

class Refresh_cls{
public:
    Refresh_cls();
    
    unsigned int mDrawingFrame;
    unsigned int mDrawingStep;
    double  mDrawingBlurFactor;
    
    unsigned int mPrevFrame;
    unsigned int mPrevStep;
    double       mPrevBlurFactor;

    void Clear();
    void SetDrawingInfo(TimeCtrl_cls *pCTimeCtrl);
    void RecordInfo();
    bool IsFreshFrame(TimeCtrl_cls *pCTimeCtrl);
    bool IsFreshFrame(unsigned int frame, unsigned int step);

};

#endif
