// "clsStructDrawInfo.h"

#include "clsStructDrawInfo.h"

#define X 0
#define Y 1
#define Z 2
#define LOOP_XYZ for (int xyz = 0; xyz < 3; xyz++)

StructDrawInfo::
StructDrawInfo(){
    mbForceNewDraw = FALSE;
}

void StructDrawInfo::
ForceNewDraw(){
    mbForceNewDraw = TRUE;
}

/*
void StructDrawInfo::
SetBoolList(bool b0, bool b1, bool b2, bool b3, bool b4,
	    bool b5, bool b6, bool b7, bool b8){
    mABoolList[0] = b0;    mABoolList[1] = b1;    mABoolList[2] = b2;
    mABoolList[3] = b3;    mABoolList[4] = b4;    mABoolList[5] = b5;
    mABoolList[6] = b6;    mABoolList[7] = b7;    mABoolList[8] = b8;
}

void StructDrawInfo::
SetBoolPolygon(bool bPolygon[3]){
    LOOP_XYZ mABoolPolygon[xyz] = bPolygon[xyz];
}

void StructDrawInfo::
SetBoolMirror(bool bMirror[3]){
    LOOP_XYZ mABoolMirror[xyz] = bMirror[xyz];
}

void StructDrawInfo::
SetBoolCopying(bool bCopying[3]){
    LOOP_XYZ mABoolCopying[xyz] = bCopying[xyz];
}

void StructDrawInfo::
SetCopyFrom(int copyFrom[3]){
    LOOP_XYZ mACopyFrom[xyz] = copyFrom[3];
}

void StructDrawInfo::
SetBoxInfo(double boxMin[3], double boxMax[3], double boxRotate[4]){
    LOOP_XYZ mABoxMin[xyz] = boxMin[xyz];
    LOOP_XYZ mABoxMax[xyz] = boxMax[xyz];
    for (int i = 0; i < 4; i++) mABoxRotate[i] = boxRotate[i];
}

void StructDrawInfo::
SetLightInfo(int lightNum, float lightPos[][4], float lightColor[][4]){
    mLightNum = lightNum;
    for (int index = 0 ; index < mLightNum; index++)
	for (int i = 0; i < 4; i++) {
	    mALightPos[index][i] = lightPos[index][i];
	    mALightColor[index][i] = lightColor[index][i]; }
}

void StructDrawInfo::
SetClipInfo(double clipMin[3], double clipMax[3]){
    LOOP_XYZ mAClipMin[xyz] = clipMin[xyz];
    LOOP_XYZ mAClipMax[xyz] = clipMax[xyz];
}

void StructDrawInfo::
SetTransInfo(double trans[3]){
    LOOP_XYZ mATrans[xyz] = trans[xyz];
}

void StructDrawInfo::
SetClipInfoNew( std::vector < std::vector < double > > VVClipInfoMin,
		std::vector < std::vector < double > > VVClipInfoMax,
		std::vector < bool > VClipInfoActive){
    mVVClipInfoMin = VVClipInfoMin;
    mVVClipInfoMax = VVClipInfoMax;
    mVClipInfoActive = VClipInfoActive;
}

void StructDrawInfo::
SetShadeInfo(double pShadeOffset[3]){
    LOOP_XYZ mAShadeOffset[xyz] = pShadeOffset[xyz];
}

void StructDrawInfo::
SetCopyTo(int copyTo[3]){
    LOOP_XYZ mACopyTo[xyz] = copyTo[3];
}

void StructDrawInfo::
SetFilenames(std::vector < wxString > VwstrFilename){
    mVwstrFilename = VwstrFilename;
}

*/
int StructDrawInfo::
GetDifference(const StructDrawInfo& CR){
    if (mbForceNewDraw == TRUE) return 999;
    if (CR.mbForceNewDraw == TRUE) return 998;
    
    if (!(mCCameraPos == CR.mCCameraPos)) return 1;

    return 0;
}

bool operator==(const StructDrawInfo& CL, const StructDrawInfo& CR){
    if (CL.mbForceNewDraw == TRUE || CR.mbForceNewDraw == TRUE){
	return FALSE;
    }
    bool retVal = TRUE;

    if (!(CL.mCCameraPos == CR.mCCameraPos)) retVal = FALSE;
    
    return retVal;
}
