// -*- c -*-
// "clsSphere.cpp"
// (setq c-basic-offset 4)

#ifndef _SPHERE_H_
#define _SPHERE_H_

class Sphere_cls{
public:
    Sphere_cls();

    bool mbInitialized;
    int  mDList[5][4];
    int  mDListNoTex[5];

    double icosahedronv[12][3];
    int    icosahedronface[20][3];

    double icosahedronn[12][3];
    double dummytex2D[2];
    
    void ChangeCoordinate3Dto2D(double vec3D[3], double vec2D[2]);
    void AdjustVec2DOverBoundary(double vector[2], double vectormem[2]);
    void DrawTriangle(double v1[3], double v2[3], double v3[3], 
		      bool bUseTex, int mapType);

    void DivideTriangle
	(double v1[3], double v2[3], double v3[3], 
	 bool bUseTex, int depth, int mapType);
    int  DListDraw(int GLMode, bool bUseTex, int depth, int mapType);

 public:
    void Draw(int quality, int mapType = 3);
    void DrawNoTex(int quality);
    int  GetDList(int quality, int mapType = 3);
    int  GetDListNoTex(int quality);
    void InitializeIfNot();

    void SequentialDraw(int type);
};

#endif
