// "clsHDF5GUI.cpp"
// (setq c-basic-offset 4)

#ifndef _HDF5GUI_H
#define _HDF5GUI_H

#include <wx/wx.h>
#include <wx/listctrl.h>
#include <vector>

class AttribItem_cls;
class DataSetAndName_cls;
class GrammerHDF5_cls;

class HDF5GUI_cls{
public:
    HDF5GUI_cls (wxWindow *pCParent, int width);

    wxStaticText *mpCStaticTextAttr;
    wxStaticText *mpCStaticTextBody;

    wxListCtrl *mpCListCtrlAttr;
    wxListCtrl *mpCListCtrlBody;

    void SetColumnAttr(wxListCtrl* pCList);
    void SetColumnBody(wxListCtrl* pCList);

    bool CheckDataHDF5(wxString strPath, GrammerHDF5_cls &CGrammerHDF5);
    
    void UpdateListAttr(std::vector < AttribItem_cls* > &VpCAttribItem);
    void UpdateListBody(std::vector < DataSetAndName_cls* > &VpCDataSetAndName);
    void AddListItemBody(wxListCtrl *pCList, wxInt32 nID, wxString strType, wxString strName, wxString strInfo);
};

#endif
