// -*- c -*- 
// "clsDrawOption.cpp"

#ifndef _DRAW_OPTIOIN_H_
#define _DRAW_OPTIOIN_H_

#include "../CONFITEM/clsConfItem.h"
#include "../LUA/clsLuaBase.h"

#include "../COMMON/CommonDefinitionsForH.h"

#include <wx/thread.h>

class DrawOptionGUI_cls;

#define _CLASSIFY_ALL_PARTILE0 0
#define _CLASSIFY_BY_DATA    1
#define _CLASSIFY_EXPRESSION 2

class ThreadLuaCalassify_cls : public wxThread, public LuaBase_cls {
 public:
    ThreadLuaCalassify_cls();

    bool SetParameters(bool *pbFinishFlag, lua_State **ppLua,
		       double doubleIndex, int frame,
		       int ini, int fin,
		       int *pID, unsigned char *pTypeOrg, unsigned char *pType);
    
    bool *mpbFinishFlag;
    lua_State **mppLua;
    double mDoubleIndex;
    int mFrame;
    int mIni, mFin;
    int *mpID;
    unsigned char *mpTypeOrg, *mpType;
    
    void CloseLua();
    void CallLua();
    
    virtual wxThread::ExitCode Entry();
};

class DrawOption_cls{
 public:
    DrawOption_cls();
    ~DrawOption_cls();

    void InstantiateGUI(wxWindow *pCParent);

    DrawOptionGUI_cls *mpCGUI;

    ConfItemList_cls mCConfList;
    ConfItemINT_cls  mCDownSize;
    ConfItemUINT_cls mCSortOrder;
    ConfItemUINT_cls mCClassify;
    ConfItemUINT_cls mCShadow;
    ConfItemSTR_cls  mCstrExpression;
    
    //lua_State *mpLua;
    lua_State *mApLua[_MAX_THREAD_LUA];
    void OpenExpressionDialog();

    void OpenLua();
    void CloseLua();
    void GetTypeClassified(int num, int *pID, unsigned char *pTypeOrg,
			   unsigned char *pType,
			   double doubleIndex, int frame);

    void ReadStrLine(wxString strLine);
    wxString Serialize();
};

#endif
