// -*- c -*-
// "clsInformationGUI.h"

#ifndef _INFORMATION_GUI_H_
#define _INFORMATION_GUI_H_

#include <wx/wx.h>

class Information_cls;
class MultiInputPanel_cls;
class SnapData_cls;
class PDataBlock_cls;

class InformationGUI_cls {
 public:
    InformationGUI_cls(Information_cls *pCCtrlLink, wxWindow *pCParent);
    
    Information_cls     *mpCCtrlLink;
    wxWindow            *mpCParent;
    MultiInputPanel_cls *mpCMInputPanel;

    void SetPanel(wxBoxSizer *pBoxSizer);

    float mX, mY, mZ;
    float mVX, mVY, mVZ;
    int mType, mID;
    float mRadius, mValue1;
    
    void UpdateInfo(SnapData_cls *pCSnapData);
    void UpdateInfo(PDataBlock_cls *pCDataBlock);
};

#endif
