
#include "clsIpAddress.h"

#ifdef WIN32

#include <winsock2.h>
#include <ws2tcpip.h>
#include <iphlpapi.h> /* for IP Helper API */
#include <limits.h>
#pragma comment(lib, "ws2_32.lib")
#pragma comment(lib, "iphlpapi.lib")

#endif

#include "../COMMON/CommonDefinitions.h"

IpAddress_cls::
IpAddress_cls(){
   
#ifdef WIN32 
    DWORD ret;
    DWORD i;
    PMIB_IPADDRTABLE pIpAddrTable;
    DWORD dwSize = 0;
    DWORD dwRetVal = 0;
    BYTE* pBuff;
    
    ::GetIpAddrTable(NULL, &dwSize, TRUE); //Kvobt@TCY擾
    pBuff = new BYTE[dwSize];
    pIpAddrTable = (PMIB_IPADDRTABLE) pBuff;
    ret = ::GetIpAddrTable(pIpAddrTable, &dwSize, TRUE);
    
    if(ret == NO_ERROR) {
	for(i = 0; i < pIpAddrTable->dwNumEntries; i++) {
	    mVstrAddress.push_back
		(wxString::FromAscii(inet_ntoa(*(struct in_addr *)&pIpAddrTable->table[i].dwAddr)));
	}
    }
    delete	pBuff;
    
#endif
}

/*
void IpAddress_cls::
GetStrInfo(wxString &strInfo){
    for (int i = 0; i < mVstrAddress.size(); i++)
	strInfo << mVstrAddress[i] << wxT(" : ") << mVstrDesc[i] << ENDL;
}
*/

void IpAddress_cls::
GetStrAddress(wxString &strAddress){
    for (unsigned int i = 0; i < mVstrAddress.size(); i++)
	strAddress << mVstrAddress[i] << ENDL;
}
