// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsCameraStructure.cpp"

#ifndef _CAMERA_STRUCTURE_H_
#define _CAMERA_STRUCTURE_H_

#include "../MYGL/clsPositionAndDirection.h"

class CameraStructure_cls{
public:
    // Rs[RXgN^
    CameraStructure_cls(const CameraStructure_cls& CCamStruct);
    CameraStructure_cls(PositionAndDirection_cls CPos,
			Position_cls CAnchor,
			float angle, bool bFishEye, bool bOrthographic);
    PositionAndDirection_cls mCPos;
    Position_cls mCAnchor;
    float mAngle;
    bool  mbFishEye;
    bool  mbOrthographic;
};

#endif
