
#ifndef _THREAD_INTERPOLATE_COMMON_H_
#define _THREAD_INTERPOLATE_COMMON_H_

#define _INTERPOLATE_LINEAR  0
#define _INTERPOLATE_HERMITE 1
#define _INTERPOLATE_NO      2

#define _INTERPOLATE_PNUM_CONSTANT 0
#define _INTERPOLATE_PNUM_VARIABLE 1
#define _INTERPOLATE_PNUM_ID_SORTED 2

class ThreadInterporateCommon_cls{
public:
    int   *mpIDNext;
    int   mPNumNext;
    int   mVariablePNum;
    int   mSearchLimit;

    int SearchIDNear(int index, int ID, int range);
    int SearchIDFull(int ID);
    int SearchIDNearBy(int index, int ID, int searchLimit);
    int SearchIDFrom(int *pTgtIndex, int ID); 
};

#endif
