// -*- c -*-
// "clsPeriodicBoundaryGUI.h"
// (setq c-basic-offset 4)

#include "clsPeriodicBoundaryGUI.h"
#include "clsPeriodicBoundary.h"

#include "../WIDGETCTRL/WX/myArtProv.h"

// ÓIɃCxgт
BEGIN_EVENT_TABLE(PeriodicBoundaryGUI_cls, wxDialog)
//     EVT_BUTTON(wxID_CANCEL   ,  PeriodicBoundaryGUI_cls::OnButtonClose)
END_EVENT_TABLE()

PeriodicBoundaryGUI_cls::
PeriodicBoundaryGUI_cls(PeriodicBoundary_cls *pCCtrl, wxWindow *pC) :
    wxDialogEXKey(pC, wxID_ANY, _("Periodic Boundary"), 
		  wxDPS, ARTWXFRAMEICON("wxART_PERIODIC"))
{
    mpCCtrl = pCCtrl;
    
    wxBoxSizer    *pBoxSizerSrc  = new wxBoxSizer(wxVERTICAL);
    SetMNum(pBoxSizerSrc);

    SetSizerAndFit(pBoxSizerSrc);
}

void PeriodicBoundaryGUI_cls::
SetMNum(wxBoxSizer *pBoxSizer){
    MultiInputPanel_cls* pCurr = 
	MultiInputPanel_cls::Initialize(&mpCMNum, this);
 
    pCurr->mTextWidth = 120;
    int boxWidth = 3;
    int indexSize = 
	pCurr->CombinePointer(_ITEM_BOXSIZERHORIZONTAL, &boxWidth, _("Box Size"));
    LOOP_XYZ 
	pCurr->CombinePointer(_ITEM_FLOAT, &mpCCtrl->mCSize.mpBody[xyz]);

    int indexBaseA = 
	pCurr->CombinePointer(_ITEM_BOXSIZERHORIZONTAL, &boxWidth, 
			      _("BaseVectorA"));
    LOOP_XYZ 
	pCurr->CombinePointer(_ITEM_FLOAT, 
			      &mpCCtrl->mCBaseVector[0].mpBody[xyz]);
    
    int indexBaseB = 
	pCurr->CombinePointer(_ITEM_BOXSIZERHORIZONTAL, &boxWidth, 
			      _("BaseVectorB"));
    LOOP_XYZ 
	pCurr->CombinePointer(_ITEM_FLOAT, 
			      &mpCCtrl->mCBaseVector[1].mpBody[xyz]);

    int indexBaseC = 
	pCurr->CombinePointer(_ITEM_BOXSIZERHORIZONTAL, &boxWidth,
			      _("BaseVectorC"));
    LOOP_XYZ 
	pCurr->CombinePointer(_ITEM_FLOAT,
			      &mpCCtrl->mCBaseVector[2].mpBody[xyz]);
    
     pCurr->FinishSetting(pBoxSizer);
     pCurr->SetColorForXYZ(indexSize+1);
}
