// -*- c -*-
// "clsCameraPath.cpp"

#ifndef _CAMERA_PATH_H
#define _CAMERA_PATH_H

#include "clsSceneObj.h"

#include "../CONFITEM/clsConfItem.h"
#include "../MYGL/clsPositionAndDirection.h"

#include "../COMMON/CommonDefinitionsForH.h"

#define _PATH_NUM_MAX 1

class CameraPath_cls : public SceneObj_cls {
 public:
    CameraPath_cls();

    ConfItemINT_cls  mCCamGeometry;
    ConfItemBOOL_cls mCbLookAnchor;
    ConfItemDOUBLE_cls mCVAngle;
    ConfItemFLOAT_cls  mCFishEyeOffset;

    /*
    void GLDrawCurrent(double doubleIndex, double scale, int displayList,
		       int mode, SceneObj_cls *pCSceneObj);
    */
    void GLDraw(bool bHittest);
    
    wxString Serialize();
    void ReadStrLine(std::wistream &istream, wxString strLineTag);
};

class AnchorPath_cls : public SceneObj_cls {
 public:
    AnchorPath_cls();
    
    void GLDraw(bool bHittest);

    wxString Serialize();
    void ReadStrLine(std::wistream &istream, wxString strLineTag);
};

#endif
