// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsFontProvider.h"

#include "clsSizeAdjuster.h"

wxRect SizeAdjuster_cls::
GetCRectWindowFitting(wxRect COrg){
    wxRect rect = wxGetClientDisplayRect();

    if (COrg.GetRight() > rect.GetRight()){
	int offsetX = COrg.GetRight() - rect.GetRight();
	if (offsetX > COrg.GetLeft()) offsetX = COrg.GetLeft();
	COrg.Offset(-offsetX, 0);
    }
    if (COrg.GetBottom() > rect.GetBottom()){
	int offsetY = COrg.GetBottom() - rect.GetBottom();
	if (offsetY > COrg.GetTop()) offsetY = COrg.GetTop();
	COrg.Offset(0, -offsetY);
    }
    
    if (COrg.GetRight() > rect.GetRight()){
	int deflateX = COrg.GetRight() - rect.GetRight();
	COrg.Deflate(deflateX, 0);
    }
    if (COrg.GetBottom() > rect.GetBottom()){
	int deflateY = COrg.GetBottom() - rect.GetBottom();
	COrg.Deflate(0, deflateY);
    }
    
    return COrg;
}

void SizeAdjuster_cls::
AdjustWindowFitting(wxWindow *pCWindow){
    wxRect CRect = pCWindow->GetRect();
    
    CRect = GetCRectWindowFitting(CRect);

    pCWindow->SetPosition(CRect.GetTopLeft());
}
