// -*- c -*-
// "clsDialogController.h"

#include "clsDialogController.h"

DialogControl_cls::
DialogControl_cls() {
    mCDialogPos = wxDefaultPosition;
    mpCDialogBase = NULL;
}

void DialogControl_cls::
SetPDialog(wxDialog *pDialog){
    mpCDialogBase = pDialog;
}

void DialogControl_cls::
OpenWindow(wxWindow *pC){
    //if (mpCDialogBase == NULL) InitGUI(pC);
    if (mpCDialogBase == NULL) return;
    if (mpCDialogBase->IsShownOnScreen() == FALSE){
	UpdateItems(TRUE);
	mpCDialogBase->Show(TRUE);
    }

    printf("Raise\n");
    mpCDialogBase->Raise();
}

bool DialogControl_cls::
OpenWindowModal(wxWindow *pC){
    //if (mpCDialogBase == NULL) InitGUI(pC);
    if (mpCDialogBase == NULL) return FALSE;
    if (mpCDialogBase->IsShownOnScreen() == FALSE){
	UpdateItems(TRUE);
	if (mpCDialogBase->ShowModal() == wxID_OK) return TRUE;
    }
    else
	mpCDialogBase->SetFocus();
    return FALSE;
}

bool DialogControl_cls::
IsGUIShownOnScreen(){
    if (mpCDialogBase == NULL) return FALSE;
    return mpCDialogBase->IsShownOnScreen();
}
