// -*- c -*- 
// "clsHookCtrl.cpp"

#ifndef _HOOK_CTRL_H
#define _HOOK_CTRL_H

#define _HOOK_ID_ANY -1
#define _HOOK_COMBOBOX 0
#define _HOOK_MOUSE    1
#define _HOOK_ASSIGN   2
#define _HOOK_SHOW     3
#define _HOOK_CHECKBOX 4
#define _HOOK_COMBOBOX_CHANGE 5 // SelectꍇO
#define _HOOK_BUTTON 6
#define _HOOK_OPEN 7
#define _HOOK_CHANGE 8
#define _HOOK_PANELCLICK 9
#define _HOOK_SIZE 10

#include <wx/wx.h>
#include <vector>

class HookItem_cls{
public:
    void (HookItem_cls::*mpFunc)(int, void*);
    
    int mId;
    int mType;
    HookItem_cls *mpCInstance;

    void *mpArg;
    virtual void HookFunc01(int id, void* pArg);
    virtual void HookFunc02(int id, void* pArg);
    virtual void HookFunc03(int id, void* pArg);
    virtual void HookFunc04(int id, void* pArg);
    virtual void HookFunc05(int id, void* pArg);
    virtual void HookFuncAssign(int id, void *pArg);
    virtual void HookFuncHS(int id, void* pArg);
    virtual void HookFuncHideButton(int id, void* pArg);
    virtual void HookFuncMouse(int id, void* pArg);
};

class HookCtrl_cls {
 public:
    std::vector < HookItem_cls > mVHookItems;

    static int ConstZero;
    static int ConstOne;

    void SetHookItem(HookItem_cls *pCInstance, 
		     void (HookItem_cls::*pFunc)(int, void*), int type,
		     int ID = wxID_ANY, void *pArg = NULL);

    void CheckHook(int hookType, void *pEvent, 
		   int id = wxID_ANY, bool bUseHookChange = TRUE);
};

#endif
