// -*- c -*- 
// (setq c-basic-offset 4)
// "clsAtoiTextCtrl.h"

#include "clsSliderDouble.h"

SliderDouble_cls::
SliderDouble_cls(wxWindow *parent, wxWindowID id, int initvalue,
		 int min, int max, int scale,
		 wxPoint pos, wxSize size) 
    : SliderInt_cls(parent, id, initvalue, min, max,
		    pos, size)
{
    mScale = scale;
}

void SliderDouble_cls::
SetValueDouble(double value){
    SetValue(value * mScale);
}

void SliderDouble_cls::
SetRangeSliderWrapperDouble(int min, int max, int scale){
    mMin = min; mMax = max; mScale = scale;
    if (mScale > 10)
	SetPageSize(10);
    SetRangeSliderWrapperInt(min, max);
    SetRange(min, max);
}

double SliderDouble_cls::
GetValue(){
    return (double)wxSliderEX::GetValue() / mScale;
}
